/* hash.h */

#ifndef SCM_HASH_H
#define SCM_HASH_H

/* Copyright (C) 2002, 2007 Thien-Thi Nguyen
 * Copyright (C) 1995, 1996, 2000, 2002 Free Software Foundation, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */




extern unsigned long scm_hasher (SCM obj, unsigned long n, scm_sizet d);
extern unsigned int scm_ihashq (SCM obj, unsigned int n);
extern SCM scm_hashq (SCM obj, SCM n);
extern unsigned int scm_ihashv (SCM obj, unsigned int n);
extern SCM scm_hashv (SCM obj, SCM n);
extern unsigned int scm_ihash (SCM obj, unsigned int n);
extern SCM scm_hash (SCM obj, SCM n);


#endif  /* SCM_HASH_H */

/* hash.h ends here */
