/* strports.h */

#ifndef SCM_STRPORTS_H
#define SCM_STRPORTS_H

/* Copyright (C) 2002, 2007 Thien-Thi Nguyen
 * Copyright (C) 1995, 1996, 2000, 2002 Free Software Foundation, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */




extern SCM scm_mkstrport (SCM pos, SCM str, long modes, const char * caller);
extern SCM scm_strport_to_string (SCM port);
extern SCM scm_call_with_output_string (SCM proc);
extern SCM scm_strprint_obj (SCM obj);
extern SCM scm_call_with_input_string (SCM str, SCM proc);
extern SCM scm_open_input_string (SCM str);
extern SCM scm_open_output_string (void);
extern SCM scm_get_output_string (SCM port);
extern SCM scm_read_0str (const char *expr);
extern SCM scm_eval_0str (const char *expr);
extern SCM scm_eval_string (SCM string);


#endif  /* SCM_STRPORTS_H */

/* strports.h ends here */
