/* load.h */

#ifndef SCM_LOAD_H
#define SCM_LOAD_H

/* Copyright (C) 2002, 2007 Thien-Thi Nguyen
 * Copyright (C) 1995, 1996, 1998, 2000, 2002 Free Software Foundation, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */


extern SCM scm_internal_parse_path (char *path, SCM tail);
extern SCM scm_parse_path (SCM path, SCM tail);
extern void scm_init_load_path (void);
extern SCM scm_primitive_load (SCM filename);
extern SCM scm_sys_package_data_dir (void);
extern SCM scm_sys_library_dir (void);
extern SCM scm_sys_site_dir (void);
extern SCM scm_search_path (SCM path, SCM filename, SCM exts);
extern SCM scm_sys_search_load_path (SCM filename);
extern SCM scm_primitive_load_path (SCM filename);
extern SCM scm_read_and_eval_x (SCM port);


#endif  /* SCM_LOAD_H */

/* load.h ends here */
