/* sort.h */

#ifndef SCM_SORT_H
#define SCM_SORT_H

/* Copyright (C) 2002, 2007 Thien-Thi Nguyen
 * Copyright (C) 1999, 2000, 2002 Free Software Foundation, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */




extern SCM scm_restricted_vector_sort_x (SCM vec,
					 SCM less,
					 SCM startpos,
					 SCM endpos);
extern SCM scm_sorted_p (SCM ls, SCM less);
extern SCM scm_merge (SCM ls1, SCM ls2, SCM less);
extern SCM scm_merge_x (SCM ls1, SCM ls2, SCM less);
extern SCM scm_sort (SCM ls, SCM less);
extern SCM scm_sort_x (SCM ls, SCM less);
extern SCM scm_stable_sort (SCM ls, SCM less);
extern SCM scm_stable_sort_x (SCM ls, SCM less);
extern SCM scm_sort_list (SCM ls, SCM less);
extern SCM scm_sort_list_x (SCM ls, SCM less);


#endif  /* SCM_SORT_H */

/* sort.h ends here */
